byte_diff(3)

NAME
byte_diff - compare two strings

SYNTAX
#include <libowfat/byte.h>

int byte_diff(const char *one,size_t len,const char *two);

DESCRIPTION
byte_diff returns negative, 0, or positive, depending on whether the string one[0], one[1], ..., one[len-1] is lexicographically smaller than, equal to, or greater than the string one[0], one[1], ..., one[len-1].

When the strings are different, byte_diff does not read bytes past the first difference.

SEE ALSO
byte_equal(3)